module IntelliJ
  module Workspace
    def generate_recent_projects_bulk(project_path)
      [
        {
          action: :append_if_missing,
          parent: '/application/component[@name="RecentProjectsManager"]',
          target: '/application/component[@name="RecentProjectsManager"]/option[@name="openPaths"]',
          fragment: <<-EOH,
            <option name="openPaths">
              <list>
                <option value="#{project_path}" />
              </list>
            </option>
          EOH
        },
        {
          action: :append_if_missing,
          parent: '/application/component[@name="RecentProjectsManager"]',
          target: '/application/component[@name="RecentProjectsManager"]/option[@name="lastPath"]',
          fragment: "<option name=\"lastPath\" value=\"#{project_path}\" />",
        },
      ]
    end
  end
end
