# frozen_string_literal: true
require 'chefspec'
require 'chefspec/berkshelf'
require 'rspec/expectations'

RSpec.configure do |config|
  config.color = true
  config.formatter = :documentation
  config.log_level = :info
  config.platform = 'ubuntu'
  config.run_all_when_everything_filtered = true
end

at_exit { ChefSpec::Coverage.report! }
